com.amazonaws.services.lambda.model

## Class PublishVersionRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.lambda.model.PublishVersionRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class PublishVersionRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`PublishVersionRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PublishVersionRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getCodeSha256()` The SHA256 hash of the deployment package you want to publish.
`String` `getDescription()` The description for the version you are publishing.
`String` `getFunctionName()` The Lambda function name.
`int` `hashCode()`
`void` `setCodeSha256(String codeSha256)` The SHA256 hash of the deployment package you want to publish.
`void` `setDescription(String description)` The description for the version you are publishing.
`void` `setFunctionName(String functionName)` The Lambda function name.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`PublishVersionRequest` `withCodeSha256(String codeSha256)` The SHA256 hash of the deployment package you want to publish.
`PublishVersionRequest` `withDescription(String description)` The description for the version you are publishing.
`PublishVersionRequest` `withFunctionName(String functionName)` The Lambda function name.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PublishVersionRequest

    public PublishVersionRequest()

### Method Detail

#### setFunctionName

    public void setFunctionName(String functionName)

The Lambda function name. You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Parameters:
  `functionName` - The Lambda function name. You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

#### getFunctionName

    public String getFunctionName()

The Lambda function name. You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Returns:
  The Lambda function name. You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

#### withFunctionName

    public PublishVersionRequest withFunctionName(String functionName)

The Lambda function name. You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Parameters:
  `functionName` - The Lambda function name. You can specify a function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). AWS Lambda also allows you to specify a partial ARN (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCodeSha256

    public void setCodeSha256(String codeSha256)

The SHA256 hash of the deployment package you want to publish. This provides validation on the code you are publishing. If you provide this parameter value must match the SHA256 of the $LATEST version for the publication to succeed.

Parameters:
  `codeSha256` - The SHA256 hash of the deployment package you want to publish. This provides validation on the code you are publishing. If you provide this parameter value must match the SHA256 of the $LATEST version for the publication to succeed.

#### getCodeSha256

    public String getCodeSha256()

The SHA256 hash of the deployment package you want to publish. This provides validation on the code you are publishing. If you provide this parameter value must match the SHA256 of the $LATEST version for the publication to succeed.

Returns:
  The SHA256 hash of the deployment package you want to publish. This provides validation on the code you are publishing. If you provide this parameter value must match the SHA256 of the $LATEST version for the publication to succeed.

#### withCodeSha256

    public PublishVersionRequest withCodeSha256(String codeSha256)

The SHA256 hash of the deployment package you want to publish. This provides validation on the code you are publishing. If you provide this parameter value must match the SHA256 of the $LATEST version for the publication to succeed.

Parameters:
  `codeSha256` - The SHA256 hash of the deployment package you want to publish. This provides validation on the code you are publishing. If you provide this parameter value must match the SHA256 of the $LATEST version for the publication to succeed.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDescription

    public void setDescription(String description)

The description for the version you are publishing. If not provided, AWS Lambda copies the description from the $LATEST version.

Parameters:
  `description` - The description for the version you are publishing. If not provided, AWS Lambda copies the description from the $LATEST version.

#### getDescription

    public String getDescription()

The description for the version you are publishing. If not provided, AWS Lambda copies the description from the $LATEST version.

Returns:
  The description for the version you are publishing. If not provided, AWS Lambda copies the description from the $LATEST version.

#### withDescription

    public PublishVersionRequest withDescription(String description)

The description for the version you are publishing. If not provided, AWS Lambda copies the description from the $LATEST version.

Parameters:
  `description` - The description for the version you are publishing. If not provided, AWS Lambda copies the description from the $LATEST version.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public PublishVersionRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`